<div class="sidebar">
	<ul>
		<li><!-- Activity -->
			<h2><?php _e('Previous Post'); ?></h2>
			<!--This will show the last 10 posts, including the last one. To change the number of post shown
			edit the 'nuberposts=x' to whatever value you want, and to skip the last one (or last 2, 3, etc.) 
			increase the value of 'offset=x' (default is "0" so it will start by the last post)-->
				<ul><?php
						$posts = get_posts('numberposts=10&offset=0');
						foreach ($posts as $post) :
					?>
					<li>
					<a href="<?php the_permalink(); ?>" title="<?php the_title() ?>"><?php the_title() ?></a>
					</li>
					<?php
						endforeach;
					?>
				</ul>
		</li><!-- End of Activity -->
	
		<li>
			<h2><?php _e('Pages'); ?></h2>
				<ul>
				<?php wp_list_pages('title_li='); ?>
				</ul>
		</li> 
			
		<li><!-- Categories -->
			<h2><?php _e('Categories'); ?></h2>
				<ul>
					<?php wp_list_cats('optioncount=0'); ?>
				</ul>
		</li><!-- End of Categories -->
		       <li><!-- Begin of Links -->
					<h2><?php _e('Elesewhere'); ?></h2>
					<ul>
						<?php get_linksbyname('Friends', '<li>', '</li>', '<br />', FALSE, 'name', TRUE); ?>

					</ul>
				</li><!-- End of Links -->		
	<?php if ( is_home() ) { ?>
		<?php if (function_exists('wp_theme_switcher')) { ?>	
		<li><!-- Theme switcher -->
			<h2><?php _e('Select Themes'); ?></h2>			
				<li>
        <?php wp_theme_switcher(); ?>

                </li>

		</li><!-- End of Theme switcher -->
		 <?php } ?>		
		<li><!-- Feeds -->
			<h2><?php _e('Feeds'); ?></h2>
				<ul>
					<li><a href="<?php bloginfo('rdf_url'); ?>" title="RDF/RSS 1.0 Feed">RDF/RSS 1.0</a></li>
					<li><a href="<?php bloginfo('rss_url'); ?>" title="RSS 0.92 Feed">RSS 0.92</a></li>
					<li><a href="<?php bloginfo('rss2_url'); ?>" title="RSS 2.0 feed">RSS 2.0</a></li>
					<li><a href="<?php bloginfo('atom_url'); ?>" title="Atom feed">Atom</a></li>
					<li><a href="<?php bloginfo('comments_rss2_url'); ?>" title="Comments RSS 2.0 Feed">Comments [RSS 2.0]</a></li>
				</ul>
		</li><!-- End of Feeds-->
		<li><!-- Meta -->
			<h2><?php _e('Meta'); ?></h2>
			<ul>
				<?php wp_register(); ?>
				<li><?php wp_loginout(); ?></li>
				<li><a href="http://validator.w3.org/check/referer" title="This page validates as XHTML 1.0 Transitional">Valid <abbr title="eXtensible HyperText Markup Language">XHTML</abbr></a></li>
				<li><a href="http://gmpg.org/xfn/"><abbr title="XHTML Friends Network">XFN</abbr></a></li>
				<li><a href="http://wordpress.org/" title="Powered by WordPress, state-of-the-art semantic personal publishing platform.">WordPress</a></li>
				<?php wp_meta(); ?>
			</ul>
		</li><!-- End of Meta -->
	<?php } ?>
	</ul>
</div>


<div class="sidebar2"><!-- Begin Sidebar 2 -->
	<ul>
		        

		<li>
			<h2><?php _e('Photo Badge'); ?></h2>
				<ul>
				<!-- Start of Flickr Badge -->
						<!-- Start of Flickr Badge -->
<style type="text/css">
#flickr_badge_source_txt {padding:0; font: 11px Arial, Helvetica, Sans serif; color:#666666;}
#flickr_badge_icon {display:block !important; margin:0 !important; border: 1px solid rgb(0, 0, 0) !important;}
#flickr_icon_td {padding:0 5px 0 0 !important;}
.flickr_badge_image {text-align:center !important;}
.flickr_badge_image img {border: 1px solid black !important;}
#flickr_www {display:block; padding:0 0px 0 10px !important; font: 11px Arial, Helvetica, Sans serif !important; color:#3993ff !important;}
#flickr_badge_uber_wrapper a:hover,
#flickr_badge_uber_wrapper a:link,
#flickr_badge_uber_wrapper a:active,
#flickr_badge_uber_wrapper a:visited {text-decoration:none !important; background:inherit !important;color:#FF9933;}
#flickr_badge_wrapper {background-color:#FFFFFF;border: solid 1px #CCCCCC}
#flickr_badge_source {padding:0 !important; font: 11px Arial, Helvetica, Sans serif !important; color:#666666 !important;}
</style>
<table id="flickr_badge_uber_wrapper" cellpadding="0" cellspacing="10" border="0"><tr><td><a href="http://www.flickr.com" id="flickr_www">www.<strong style="color:#3993ff">flick<span style="color:#ff1c92">r</span></strong>.com</a><table cellpadding="0" cellspacing="10" border="0" id="flickr_badge_wrapper">
<script type="text/javascript" src="http://www.flickr.com/badge_code_v2.gne?count=5&display=random&size=s&layout=v&source=user&user=70522244%40N00"></script>
</table>
</td></tr></table>
<!-- End of Flickr Badge -->

						<!-- End of Flickr Badge -->
						More at  <a href="http://www.flickr.com/photos/wttw/">Flickr</a>.
				</ul>
		</li> 
	</ul>
</div>